OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - p -

- p : StringListReader
- p1 : CommandContainer
- p2 : CommandContainer
- packet_queue : NetworkTCPSocketHandler
- packet_recv : NetworkTCPSocketHandler
- packets : CargoList< Tinst, Tcont > , PacketWriter
- pad : LanguagePackHeader
- padding : NWidgetPart
- padding_bottom : NWidgetBase
- padding_left : NWidgetBase
- padding_right : NWidgetBase
- padding_top : NWidgetBase
- page : StoryPageElement
- pal : PalSpriteID , ParentSpriteToDraw , BridgeSpec
- palette : GraphicsSet , Blitter_32bppAnim , Palette , TileLayoutRegisters , GRFConfig , CocoaSubdriver
- palette_size : BmpInfo
- palette_var10 : TileLayoutRegisters
- panel_widths : NWidgetScenarioToolbarContainer
- param : GRFConfig , ThreadObject_OS2 , ThreadObject_pthread , ThreadObject_Win32
- param_end : GRFFile
- param_info : GRFConfig
- param_nr : GRFParameterInfo
- param_value : GRFError
- paramcount : TooltipsWindow
- parameter : DeterministicSpriteGroupAdjust
- params : TooltipsWindow , QueryWindow , NewsItem , FoundTownWindow
- params_1 : TextEffect
- params_2 : TextEffect
- parent : FontCache , Group , Path , TileLayoutRegisters , PathNode , CargoDataEntry , StringParameters , Window
- parent_button : DropdownWindow
- parent_cls : WindowDesc
- parent_scope : VehicleResolverObject
- parent_sprites_to_sort : ViewportDrawer
- parent_wnd_class : DropdownWindow
- parent_wnd_num : DropdownWindow
- part_of_subsidy : Industry , TownCache
- PART_TEXTS : SelectCompanyManagerFaceWindow
- PART_TEXTS_IS_FEMALE : SelectCompanyManagerFaceWindow
- passenger_capacity : AircraftVehicleInfo
- password : NetworkCompanyState
- password_editbox : NetworkCompanyPasswordWindow
- path_backoff_interval : PathfinderSettings
- pathfinder_for_roadvehs : PathfinderSettings
- pathfinder_for_ships : PathfinderSettings
- pathfinder_for_trains : PathfinderSettings
- paths : LinkGraphJob::NodeAnnotation
- pause_on_join : NetworkSettings
- pause_on_newgame : GUISettings
- payment : CargoDelivery
- performance : NetworkCompanyInfo
- performance_history : CompanyEconomyEntry
- persistent_buildingtools : GUISettings
- pf : GameSettings
- pf_maxdepth : OPFSettings
- pf_maxlength : OPFSettings
- picker_title : RoadTypeInfo
- picker_tooltip : RoadTypeInfo
- pip : NWidgetPart
- pip_inter : NWidgetPIPContainer
- pip_post : NWidgetPIPContainer
- pip_pre : NWidgetPIPContainer
- pitch : Blitter::BlitterParams
- pixel_buffer : CocoaSubdriver
- pixels : Textbuf
- place_mode : TileHighlightData
- plane_crashes : VehicleSettings
- plane_speed : VehicleSettings
- planned : LinkProperties
- playing : MusicSettings
- playlist : MusicSettings
- plural_count : PluralForm
- plural_form : LanguagePackHeader , LanguageMap
- population : HouseSpec , TownCache
- population_in_label : GUISettings
- pos : Scrollbar , Aircraft , Fio , Packet , TileHighlightData
- pos_x : NWidgetBase
- pos_y : NWidgetBase
- position : ErrorMessageData , AirportFTA , AirportFTAbuildup , DropdownWindow
- position_consist_length : NewGRFCache
- position_in_vehicle : NewGRFCache
- position_same_id_length : NewGRFCache
- positions : FallbackParagraphLayout::FallbackVisualRun
- post : NWidgetPartPIP
- pow_wag_power : RailVehicleInfo
- pow_wag_weight : RailVehicleInfo
- power : RailVehicleInfo , RoadVehicleInfo
- powered_railtypes : RailtypeInfo
- pref_height : WindowDesc
- pref_sticky : WindowDesc
- pref_width : WindowDesc
- prefer_teamchat : GUISettings
- preset : NewGRFWindow
- presetname_editbox : SavePresetWindow
- presets : SavePresetWindow
- president_name : CompanyNewsInformation , CompanyProperties
- president_name_1 : CompanyProperties
- president_name_2 : CompanyProperties
- prev : NWidgetBase , HeaderFileWriter , NewsItem
- prev_colour : FontState
- prev_storage : PersistentStorageArray< TYPE, SIZE >
- preview_asked : Engine
- preview_company : Engine
- preview_sprite : BuildAirportWindow , AirportSpec
- preview_wait : Engine
- previous : IConsoleLine , Vehicle
- previous_pos : Aircraft
- previous_shared : Vehicle
- price : BridgeSpec
- price_base_multipliers : GRFFile
- print_func : Squirrel
- priority : DriverFactoryBase
- prob : NamePart
- probability : IndustryTypeBuildData , HouseSpec
- proc : ThreadObject_Win32 , ScreenshotFormat , CheatEntry , OldChunks , IConsoleCmd , SettingDescBase , TownNameGeneratorParams , Command , QueryWindow , NetworkClientListPopupWindow::ClientListAction , ThreadObject_pthread , ThreadObject_OS2 , GenWorldInfo
- proc_cnvt : SettingDescBase
- processing_time : HouseSpec
- prod_level : Industry
- produced_cargo : Industry
- produced_cargo_waiting : Industry
- production_down_text : IndustrySpec
- production_nobody : NewsSettings
- production_offset_y : IndustryViewWindow
- production_other : NewsSettings
- production_player : NewsSettings
- production_rate : Industry
- production_up_text : IndustrySpec
- profit_last_year : Vehicle , GroupStatistics
- profit_this_year : Vehicle
- progress : Goal , Vehicle
- prop : NIProperty
- prop27_set : GRFTempEngineData
- properties : NIFeature
- prospecting_chance : IndustrySpec
- psa : Industry , Airport
- ptr : OldChunks , AutoFreePtr< T >
- ptrs_proc : ChunkHandler
- pylons : StationSpec